Bug 485103 - gnome-power-manager segfault on f11
gnome-power-manager segfault on f11
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-11 11:22 EST by Kent Baxley
Modified: 2009-03-02 03:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-02 03:50:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
core dump from gnome-power-manager (1.86 MB, application/octet-stream)
2009-02-11 11:36 EST, Kent Baxley
no flags Details

  None (edit)
Description Kent Baxley 2009-02-11 11:22:31 EST
Description of problem: gnome-power-manager segfaults when invoked from the command line


Version-Release number of selected component (if applicable):

gnome-power-manager-2.25.3-3.fc11.i386

How reproducible:

always

Steps to Reproduce:
1. invoke gnome-power-manager from the command line

  
Actual results:

Segmentation Fault

Expected results:

gnome-power-manager should launch


Additional info: information from gdb below

# gdb gnome-power-manager
GNU gdb (GDB) Fedora (6.8.50.20090210-1.fc11)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
(gdb) run
Starting program: /usr/bin/gnome-power-manager 
[Thread debugging using libthread_db enabled]
Detaching after fork from child process 3153.

Program received signal SIGSEGV, Segmentation fault.
0x080675bb in gpm_inhibit_init (inhibit=0x80f9878) at gpm-inhibit.c:469
469			egg_warning ("failed to get proxy: %s", error->message);
Missing separate debuginfos, use: debuginfo-install avahi-0.6.24-1.fc11.i386 avahi-glib-0.6.24-1.fc11.i386 e2fsprogs-libs-1.41.4-2.fc11.i386 expat-2.0.1-5.i386 gnome-vfs2-2.24.0-4.fc11.i386 gtk-nodoka-engine-0.7.2-2.fc11.i386 keyutils-libs-1.2-3.fc9.i386 krb5-libs-1.6.3-17.fc11.i386 libICE-1.0.4-4.fc10.i386 libSM-1.1.0-2.fc10.i386 libXau-1.0.4-1.fc10.i386 libXcomposite-0.4.0-6.fc11.i386 libXcursor-1.1.9-3.fc10.i386 libXdamage-1.1.1-5.fc11.i386 libXfixes-4.0.3-4.fc10.i386 libXinerama-1.0.3-2.fc10.i386 libXres-1.0.3-5.fc10.i386 libcap-2.10-2.fc10.i386 libogg-1.1.3-10.fc11.i386 libselinux-2.0.77-3.fc11.i386 libtdb-1.1.2-25.fc11.i386 libtool-ltdl-2.2.6-9.fc11.i386 libvorbis-1.2.0-5.fc10.i386 libxcb-1.1.93-4.fc11.i386 pixman-0.14.0-1.fc11.i386 startup-notification-0.9-5.fc11.i386
(gdb) bt
#0  0x080675bb in gpm_inhibit_init (inhibit=0x80f9878) at gpm-inhibit.c:469
#1  0x00a2e053 in IA__g_type_create_instance (type=135262592) at gtype.c:1674
#2  0x00a10f85 in g_object_constructor (type=135262592, n_construct_properties=0, construct_params=0x0) at gobject.c:1338
#3  0x00a117fb in IA__g_object_newv (object_type=135262592, n_parameters=0, parameters=0x0) at gobject.c:1215
#4  0x00a12417 in IA__g_object_new_valist (object_type=135262592, first_property_name=0x0, 
    var_args=0xbffff328 "�Sy?0�\n\b �\n\b0�\n\bx���\201�\005\b\031�\a\b\021�\a\bu\006") at gobject.c:1278
#5  0x00a1258e in IA__g_object_new (object_type=135262592, first_property_name=0x0) at gobject.c:1060
#6  0x0806709c in gpm_inhibit_new () at gpm-inhibit.c:509
#7  0x0805f381 in gpm_manager_init (manager=0x80ac120) at gpm-manager.c:1654
#8  0x00a2e053 in IA__g_type_create_instance (type=134996304) at gtype.c:1674
#9  0x00a10f85 in g_object_constructor (type=134996304, n_construct_properties=0, construct_params=0x0) at gobject.c:1338
#10 0x00a117fb in IA__g_object_newv (object_type=134996304, n_parameters=0, parameters=0x0) at gobject.c:1215
#11 0x00a12417 in IA__g_object_new_valist (object_type=134996304, first_property_name=0x0, var_args=0xbffff6e8 "") at gobject.c:1278
#12 0x00a1258e in IA__g_object_new (object_type=134996304, first_property_name=0x0) at gobject.c:1060
#13 0x0805e48c in gpm_manager_new () at gpm-manager.c:1750
#14 0x0805dc95 in main (argc=1, argv=0xbffff894) at gpm-main.c:204
(gdb)
Comment 1 Kent Baxley 2009-02-11 11:36:53 EST
Created attachment 331591 [details]
core dump from gnome-power-manager
Comment 2 Kevin Fenzi 2009-03-01 23:59:03 EST
I am seeing this same crash here as well.
Comment 3 Matthias Clasen 2009-03-02 00:26:39 EST
        inhibit->priv->proxy_session = dbus_g_proxy_new_for_name_owner (connection,
                                                                        GPM_SESSION_MANAGER_SERVICE, GPM_SESSION_MANAGER_PATH,
                                                                        GPM_SESSION_MANAGER_INTERFACE, NULL);
        if (inhibit->priv->proxy_session == NULL) {
                egg_warning ("failed to get proxy: %s", error->message);
                g_error_free (error);
                return;
        }

Obviously, if you want to print the error message, you should pass &error to the dbus_g_proxy_new_for_name_owner call...
Comment 4 Richard Hughes 2009-03-02 03:50:19 EST
2009-03-02  Richard Hughes  <richard@hughsie.com>

	* src/gpm-inhibit.c: (gpm_inhibit_inhibit),
	(gpm_inhibit_un_inhibit), (gpm_inhibit_remove_dbus),
	(gpm_inhibit_init), (gpm_inhibit_finalize):
	Don't crash if there's no gnome-session.
	Fixes rh#485103

Note You need to log in before you can comment on or make changes to this bug.